<h4>Formularios <small>template</small></h4>
<hr>
<form [ngClass]="{'was-validated': forma.dirty }"
      novalidate=""
      name="myForm" novalidate
      (ngSubmit)="save(forma)" #forma="ngForm">

  <div>

    <div class="form-group row">
      <label
          class="col-2 col-form-label"
          [ngClass]="{'text-danger': !name.valid && name.touched , 'text-success': name.control.valid }">
        Name
      </label>
      <div class="col-8">

        <input class="form-control"
               type="text"
               placeholder="Nombre"
               name="name"
               [(ngModel)]="user.name"
               required
               minlength="3"
               pattern="[a-zA-Z_áéíóúñàèìòùç\s]*"
               #name="ngModel"
        >

        <div class="invalid-feedback">
          <div class="text-danger"  *ngIf="name.errors?.required && name.control.touched">
            Este campo es requerido
          </div>
          <div class="text-danger"  *ngIf="name.errors?.minlength">
            Debe contener al menos {{ name.errors.minlength.requiredLength }} caracteres
          </div>
          <div class="text-danger" *ngIf="name.errors?.pattern" >
            No es un formato valido
          </div>
        </div>

      </div>
    </div>

    <div class="form-group row">
      <label class="col-2 col-form-label"
             [ngClass]="{'text-danger': !apellido.valid && apellido.touched , 'text-success': apellido.control.valid }">
        Lastname
      </label>
      <div class="col-8">

        <input class="form-control"
               type="text"
               placeholder="Apellido"
               name="lastname"
               [(ngModel)]="user.lastname"
               minlength="3"
               pattern="[a-zA-Z_áéíóúñàèìòùç\s]*"
               #apellido="ngModel"
               required>
        <div class="invalid-feedback">
          <div class="text-danger"  *ngIf="apellido.errors?.required && apellido.control.touched">
            Este campo es requerido
          </div>
          <div class="text-danger"  *ngIf="apellido.errors?.minlength">
            Debe contener al menos {{ apellido.errors.minlength.requiredLength }} caracteres
          </div>
          <div class="text-danger" *ngIf="apellido.errors?.pattern" >
            No es un formato valido
          </div>
        </div>
      </div>
    </div>

  </div>

  <div class="form-group row">
    <label class="col-2 col-form-label"
           [ngClass]="{'text-danger': !email.valid && email.touched , 'text-success': email.control.valid }">
      Correo
    </label>
    <div class="col-md-8">

      <input class="form-control"
             type="email"
             placeholder="Correo electrónico"
             name="email"
             [(ngModel)]="user.email"
             pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
             #email="ngModel"
             required>
      <div class="invalid-feedback">
        <div class="text-danger"  *ngIf="email.errors?.required && email.control.touched">
          Este campo es requerido
        </div>
        <div class="text-danger" *ngIf="email.errors?.pattern" >
          Debe ser un email valido
        </div>
      </div>
    </div>
  </div>



  <div class="form-group row">
    <label class="col-2 col-form-label">&nbsp;</label>
    <div class="input-group col-md-8">
      <button [disabled]="!forma.valid" type="submit" class="btn btn-primary" [ngClass]="{'btn-danger': !forma.valid && forma.dirty , 'btn-success': forma.valid && forma.dirty }">
        Submit
      </button>
    </div>
  </div>

</form>
